Package groovy.util

# Class ObservableList.ObservableListIterator

java.lang.Object
groovy.util.ObservableList.ObservableIterator
groovy.util.ObservableList.ObservableListIterator

All Implemented Interfaces:
  `Iterator`, `ListIterator`

Enclosing class:
  ObservableList

    protected class ObservableList.ObservableListIterator
    extends ObservableList.ObservableIterator
    implements ListIterator

- ## Field Summary

  ### Fields inherited from class groovy.util.ObservableList.ObservableIterator

  `cursor`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ObservableListIterator​(ListIterator iterDelegate, int index)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `add​(Object o)` |
  `ListIterator` | `getListIterator()` |
  `boolean` | `hasPrevious()` |
  `int` | `nextIndex()` |
  `Object` | `previous()` |
  `int` | `previousIndex()` |
  `void` | `set​(Object o)` |

  ### Methods inherited from class groovy.util.ObservableList.ObservableIterator

  `getDelegate, hasNext, next, remove`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

  ### Methods inherited from interface java.util.ListIterator

  `hasNext, next, remove`

- ## Constructor Details

  - ### ObservableListIterator

    public ObservableListIterator​(ListIterator iterDelegate, int index)

- ## Method Details

  - ### getListIterator

    public ListIterator getListIterator()

  - ### add

    public void add​(Object o)
    Specified by:
      `add` in interface `ListIterator`

  - ### hasPrevious

    public boolean hasPrevious()
    Specified by:
      `hasPrevious` in interface `ListIterator`

  - ### nextIndex

    public int nextIndex()
    Specified by:
      `nextIndex` in interface `ListIterator`

  - ### previous

    public Object previous()
    Specified by:
      `previous` in interface `ListIterator`

  - ### previousIndex

    public int previousIndex()
    Specified by:
      `previousIndex` in interface `ListIterator`

  - ### set

    public void set​(Object o)
    Specified by:
      `set` in interface `ListIterator`